Bug 538728 - SELinux is preventing /home/lonnie/Programs/Songbird/songbird-bin from loading /home/lonnie/Programs/Songbird/components/sbMediacoreManager.so which requires text relocation.
Summary: SELinux is preventing /home/lonnie/Programs/Songbird/songbird-bin from loadin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:74228c46a40...
: 538743 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 08:34 UTC by Jacob Isreal
Modified: 2009-12-02 04:38 UTC (History)
4 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:36 UTC


Attachments (Terms of Use)

Description Jacob Isreal 2009-11-19 08:34:14 UTC
Summary:

SELinux is preventing /home/lonnie/Programs/Songbird/songbird-bin from loading
/home/lonnie/Programs/Songbird/components/sbMediacoreManager.so which requires
text relocation.

Detailed Description:

The songbird-bin application attempted to load
/home/lonnie/Programs/Songbird/components/sbMediacoreManager.so which requires
text relocation. This is a potential security problem. Most libraries do not
need this permission. Libraries are sometimes coded incorrectly and request this
permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/home/lonnie/Programs/Songbird/components/sbMediacoreManager.so to use
relocation as a workaround, until the library is fixed. Please file a bug
report.

Allowing Access:

If you trust /home/lonnie/Programs/Songbird/components/sbMediacoreManager.so to
run correctly, you can change the file context to textrel_shlib_t. "chcon -t
textrel_shlib_t
'/home/lonnie/Programs/Songbird/components/sbMediacoreManager.so'" You must also
change the default file context files on the system in order to preserve them
even on a full relabel. "semanage fcontext -a -t textrel_shlib_t
'/home/lonnie/Programs/Songbird/components/sbMediacoreManager.so'"

Fix Command:

chcon -t textrel_shlib_t
'/home/lonnie/Programs/Songbird/components/sbMediacoreManager.so'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/lonnie/Programs/Songbird/components/sbMediac
                              oreManager.so [ file ]
Source                        songbird-bin
Source Path                   /home/lonnie/Programs/Songbird/songbird-bin
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1 SMP
                              Sat Nov 7 21:41:45 EST 2009 i686 i686
Alert Count                   254
First Seen                    Wed 18 Nov 2009 01:03:59 AM CST
Last Seen                     Wed 18 Nov 2009 09:48:45 AM CST
Local ID                      cad8d805-1b9d-43da-876f-a7f332b35018
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258559325.870:286): avc:  denied  { execmod } for  pid=1744 comm="songbird-bin" path="/home/lonnie/Programs/Songbird/components/sbMediacoreManager.so" dev=sda3 ino=655739 scontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258559325.870:286): arch=40000003 syscall=125 success=no exit=-13 a0=1dfe000 a1=55000 a2=5 a3=bfb6dd00 items=0 ppid=1737 pid=1744 auid=500 uid=500 gid=501 euid=500 suid=500 fsuid=500 egid=501 sgid=501 fsgid=501 tty=(none) ses=1 comm="songbird-bin" exe="/home/lonnie/Programs/Songbird/songbird-bin" subj=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execmod,songbird-bin,unconfined_execmem_t,user_home_t,file,execmod
audit2allow suggests:

#============= unconfined_execmem_t ==============
allow unconfined_execmem_t user_home_t:file execmod;

Comment 1 Daniel Walsh 2009-11-19 15:01:35 UTC
Execute the fix command. for now.

Will be fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Daniel Walsh 2009-11-19 15:02:38 UTC
*** Bug 538743 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2009-11-23 23:37:13 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 4 Fedora Update System 2009-11-25 15:20:10 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 5 Fedora Update System 2009-12-02 04:31:45 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.